Table of Contents

## Name

glds, glds_features - calculate the spatial grey level difference matrix and features on it

## Synopsis

glds image matrix xpos ypos xsize ysize dx dy

glds_features matrix

## Description

glds creates a 256 by 1 one channel spatial grey level difference matrix (sglds) of the box determined by the parameters (xp, yp; xs, ys) within the vasari image file image. The matrix is written onto the vasari image file matrix. The displacement vector is determined by (dx, dy). The user must ensure that there is enough border pixels around the box within im dictated by the displacement vector (dx,dy) or else the program fails. All entries of the sgld matrix are double normalised to the number of pairs involved. This function is a direct implementation of the paper: Haralick R. M., Shanmugan K. and Dinstein I., 'Textural features for image classification', IEEE Transactions on Systems, Man, and Cybernetics, Vol. SMC-3, No 6, Nov. 1973, pp 610-621.

Input im should be one band unsigned char image file.

glds_features calculates features on the spatial grey level difference vasari image file matrix. The calculated features are printed in the stderr.

## See Also

im_glds_matrix(3X) , im_glds_asm(3X) , im_glds_contrast(3X) , im_glds_correlation(3X) , im_glds_entropy(3X) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 27/02/1992

Table of Contents

- Name
- Synopsis
- Description
- SeeAlso
- Copyright
- Author